Resolve an in-thread WhatsApp checkout
curl --request POST \
--url https://api.orbit.devotel.io/api/v1/commerce/whatsapp-checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order": {
"items": [
{
"productRetailerId": "<string>",
"name": "<string>",
"quantity": 123,
"unitPrice": 123,
"currency": "<string>"
}
],
"subtotal": 123,
"currency": "<string>",
"mixedCurrency": true
},
"config": {
"checkoutId": "<string>",
"hostedBaseUrl": "<string>",
"buyerCountry": "<string>",
"enabledNativeRails": [],
"description": "<string>",
"reference": "<string>",
"expiresAt": 123
}
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/commerce/whatsapp-checkout"
payload = {
"order": {
"items": [
{
"productRetailerId": "<string>",
"name": "<string>",
"quantity": 123,
"unitPrice": 123,
"currency": "<string>"
}
],
"subtotal": 123,
"currency": "<string>",
"mixedCurrency": True
},
"config": {
"checkoutId": "<string>",
"hostedBaseUrl": "<string>",
"buyerCountry": "<string>",
"enabledNativeRails": [],
"description": "<string>",
"reference": "<string>",
"expiresAt": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
order: {
items: [
{
productRetailerId: '<string>',
name: '<string>',
quantity: 123,
unitPrice: 123,
currency: '<string>'
}
],
subtotal: 123,
currency: '<string>',
mixedCurrency: true
},
config: {
checkoutId: '<string>',
hostedBaseUrl: '<string>',
buyerCountry: '<string>',
enabledNativeRails: [],
description: '<string>',
reference: '<string>',
expiresAt: 123
}
})
};
fetch('https://api.orbit.devotel.io/api/v1/commerce/whatsapp-checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"method": "<string>",
"rails": [
"<string>"
],
"currency": "<string>"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Commerce
Resolve an in-thread WhatsApp checkout
Resolve native WhatsApp Pay (where Meta supports it) or the hosted pay link, both anchored to one PaymentRequest snapshot.
POST
/
api
/
v1
/
commerce
/
whatsapp-checkout
Resolve an in-thread WhatsApp checkout
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Body
application/json
⌘I